###############################################################################
# SWITCH.CFG - SAMPLE CONFIG FILE FOR MONITORING A SWITCH
#
#
# NOTES: This config file assumes that you are using the sample configuration
#	 files that get installed with the Nagios quickstart guide.
#
###############################################################################




###############################################################################
###############################################################################
#
# HOST DEFINITIONS
#
###############################################################################
###############################################################################

# Define the switch that we'll be monitoring

define host{
	use		generic-switch		; Inherit default values from a template
	host_name	localhost       ; The name we're giving to this switch
	alias		Local Workstation ; A longer name associated with the switch
	address		127.0.0.1       ; IP address of the switch
	hostgroups	MCCA		; Host groups this switch is associated with
	}

define host{
	use		generic-switch    ; Inherit default values from a template
	host_name	ubu5810           ; The name we're giving to this switch
	alias		ubu5810           ; A longer name associated with the switch
	address		172.25.39.69      ; IP address of the switch
	hostgroups	MCCA		  ; Host groups this switch is associated with
	}

define host{
	use		generic-switch
	host_name	BCEC_Eventide
	address		172.16.1.240
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Console101
	address		172.16.1.101
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Console102
	address		172.16.1.102
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Console103
	address		172.16.1.103
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_ECOSD
	address		172.16.1.241
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Site_Dist
	address		172.16.1.20
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Site_Supply
	address		172.16.1.21
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Site_DPS
	address		172.16.1.22
	hostgroups	MCCA
	}


define host{
	use		generic-switch
	host_name	BCEC_VPN
	address		172.16.1.2
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Headend_Switch1
	address		172.16.1.3
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Headend_Switch2
	address		172.16.1.4
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Command_Switch1
	address		172.16.1.5
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCEC_Command_Switch2
	address		172.16.1.6
	hostgroups	MCCA
	}

# BCG

define host{
	use		generic-switch
	host_name	BCG_RBS_M1
	address		172.16.3.120
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCG_RBS_M2
	address		172.16.3.121
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCG_Console301
	address		172.16.3.101
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCG_Site_Dist
	address		172.16.3.20
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCG_Site_Supply
	address		172.16.3.21
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCG_Site_DPS
	address		172.16.3.22
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCG_VPN
	address		172.16.3.2
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCG_Headend_Switch1
	address		172.16.3.3
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	BCG_Command_Switch1
	address		172.16.3.5
	hostgroups	MCCA
	}

# Hynes

define host{
	use		generic-switch
	host_name	Hynes_Central_BU
	address		172.16.2.10
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_VLG
	address		172.16.2.12
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_DRG_31
	address		172.16.2.31
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_DRG_32
	address		172.16.2.32
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_DRG_33
	address		172.16.2.33
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_DRG_34
	address		172.16.2.34
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_MRG_61
	address		172.16.2.61
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes__MRG_62
	address		172.16.2.62
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes__MRG_63
	address		172.16.2.63
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_RBS_S1
	address		172.16.2.110
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_RBS_M1
	address		172.16.2.120
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_RBS_M2
	address		172.16.2.121
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_RBS_M3
	address		172.16.2.122
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_RBS_M4
	address		172.16.2.123
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_
	address		172.16.2.
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_RGW_Prim
	address		172.16.2.200
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_RGW_BU
	address		172.16.2.201
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Eventide
	address		172.16.2.240
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Console101
	address		172.16.2.101
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Console102
	address		172.16.2.102
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Site_Dist
	address		172.16.2.20
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Site_Supply
	address		172.16.2.21
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Site_DPS
	address		172.16.2.22
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_VPN
	address		172.16.2.2
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Headend_Switch1
	address		172.16.2.3
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes__Headend_Switch2
	address		172.16.2.4
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Command_Switch1
	address		172.16.2.5
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	Hynes_Command_Switch2
	address		172.16.2.6
	hostgroups	MCCA
	}

# Misc

define host{
	use		generic-switch
	host_name	Zetron_Repository
	address		172.16.1.8
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	UT-Soft_VPN_Client101
	address		172.16.4.101
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	ACSi_VPN
	address		172.16.4.2
	hostgroups	MCCA
	}

define host{
	use		generic-switch
	host_name	UT-Soft_VPN_Client201
	address		172.16.4.201
	hostgroups	MCCA
	}

###############################################################################
###############################################################################
#
# HOST GROUP DEFINITIONS
#
###############################################################################
###############################################################################

# Create a new hostgroup for switches

define hostgroup{
	hostgroup_name	MCCA		; The name of the hostgroup
	alias		Applied Comm ; Long name of the group
        members         localhost
	}




###############################################################################
###############################################################################
#
# SERVICE DEFINITIONS
#
###############################################################################
###############################################################################

# Create a service to PING to switch

define service{
name                    snmp_trap_service
use                     generic-service
register                0
service_description     snmp_trap
is_volatile             1
check_command           check-host-alive    ;Used to reset the status to OK when 'Schedule an immediate check of this service' is selected.
flap_detection_enabled  0                               ; Flap detection is disabled
process_perf_data       0                               ; Do not Process performance data
max_check_attempts      1                    ; Leave as 1
normal_check_interval   1                    ; Leave as 1
retry_check_interval    1                    ; Leave as 1
passive_checks_enabled  1                    ; Enables passive checks
check_period            24x7
notification_interval   31536000                ; Notification interval.  Set to a very high number to prevent you from getting                                 pages of previously received traps (1 year - restart Nagios at least once a year! -                                     do not set to 0!).
active_checks_enabled   0                    ; Prevent active checks from occuring as we are only using passive checks.
notification_options    w,u,c                    ; Notify on warning, unknown and critical.
contact_groups          admins
}

define service{
 hostgroup_name       MCCA ; hostname is define /etc/hosts file
 use             snmp_trap_service
 contact_groups admins
}
